.dynamite-slide {
	position: relative;
	background: black;
	overflow: hidden;
}

.dynamite-slide::before {
	content: '';
	position: absolute;
	top: 77px;
	left: -111px;
	width: 985px;
	height: 655px;
	background: url('../../images/slides/dynamite/dynamite.svg') no-repeat;
	background-size: contain;
}

.dynamite-slide__image {
	position: absolute;
	left: 363px;
	top: 45px;
	filter: drop-shadow(-20px 20px 40px rgba(0, 0, 0, 0.5))
}

.dynamite-slide__image img {
	width: 100%;
	height: 100%;
	display: block;
	object-position: center;
	object-fit: contain;
}

.dynamite-slide__content {
	position: absolute;
	font-family: Inter, serif;
	top: 217px;
	left: 979px;
	color: #fff;
}


.dynamite-slide__head {
	font-size: 85px;
	font-weight: 900;
	white-space: nowrap;
}

.dynamite-slide__descr {
	font-size: 25px;
	font-weight: 300;
}

.dynamite-slide__price {
	display: flex;
	align-items: end;
	gap: 40px;
	line-height: 1;
	margin-right: -14px;
	margin-top: 34px;
}

.top-price-block__actual {
	font-size: 85px;
	font-weight: 900;
}

.top-price-block__old {
	font-size: 25px;
	font-weight: 300;

	position: relative;
	margin-bottom: 0.3em;
}

.top-price-block__old:before {
	content: '';
	position: absolute;
	display: block;
	height: 8px;
	left: -25px;
	z-index: -1;
	right: 0;
	top: 0;
	bottom: 0;
	margin: auto 0;
	background: #ff5100
}

.dynamite-slide__buttons {
	margin-top: 32px;
	display: inline-flex;
	gap: 16px;
	height: 50px;
}

.dynamite-slide__buttons .brand-btn {
	width: 200px;
	text-transform: none;
	height: 100%;
	border-radius: 25px;
	font-size: 20px;
}

.dynamite-slide__buttons cart-counter::part(add-button) {
	font-size: 20px;
	text-transform: none;
}

@media (max-width: 1833px) {
	.dynamite-slide::before {
		transform: scaleX(-1) rotate(15deg);
		top: 77px;
		left: 69px;
		width: 784px;
		height: 485px;
	}

	.dynamite-slide__image {
		position: absolute;
		width: 554px;
		height: 520px;
		left: -26px;
		top: 99px;
		transform: scaleX(-1);
		filter: drop-shadow(-15px 15px 20px rgba(0, 0, 0, 0.5));
	}
	.dynamite-slide__content {
		left: calc(70% - 150px);
	}

	.top-price-block__actual,
	.dynamite-slide__head {
		font-size: 65px;
	}

	.dynamite-slide__descr {
		font-size: 21px;
	}

	.dynamite-slide__price {
		gap: 50px;
	}
}


@media (max-width: 1341px) {
	.dynamite-slide::before {
		transform: scaleX(-1) rotate(23deg);
		top: 77px;
		left: 38px;
		width: 684px;
		height: 485px;
	}
	.dynamite-slide__image {
		width: 450px;
		height: 422px;
		left: -26px;
		top: 111px;
	}

	.dynamite-slide__content {
		left: calc(60% - 70px);
		width: 403px;
		top: 254px;
	}

	.top-price-block__actual,
	.dynamite-slide__head {
		font-size: 48px;
	}

	.dynamite-slide__descr {
		font-size: 19px;
	}


	.dynamite-slide__buttons .brand-btn {
		height: 49px;
		font-size: 20px;
	}

	.top-price-block__old:before {
		left: -40px;
	}

	.dynamite-slide__price {
		gap: 70px;
		margin-right: 0;
	}
}

@media (max-width: 999px) {
	.dynamite-slide::before {
		top: 53px;
		left: 38px;
		width: 524px;
		height: 385px;
	}
	.dynamite-slide__image {
		width: 370px;
		height: 292px;
		left: -36px;
		top: 99px;
	}

	.dynamite-slide__content {
		display: flex;
		flex-direction: column;
		gap: 24px;
		left: auto;
		right: 50px;
		width: 282px;
		top: 176px;
	}

	.dynamite-slide__buttons {
		flex-direction: column;
		height: auto;
		width: 200px;
	}
	.dynamite-slide__price {
		flex-direction: row;
		margin-top: 0;
	}

	.dynamite-slide__buttons {
		margin-top: 0;
	}
	.dynamite-slide__price .top-price-block__old{
		font-size: 20px;
	}
	.top-price-block__actual,
	.dynamite-slide__head {
		font-size: 40px;
	}

	.top-price-block__old,
	.dynamite-slide__descr {
		font-size: 16px;
	}


}

@media (max-width: 767px) {
	.dynamite-slide::before {
		transform: rotate(32deg);
		top: 263px;
		left: calc(20% - 180px);
		width: 374px;
		height: 385px;
	}
	.dynamite-slide__image {
		transform: none;
		width: 370px;
		height: 292px;
		left: calc(20% - 30px);
		top: 299px;
	}

	.dynamite-slide__content {
		top: 28px;
		right: 37px;
		left: auto;
		margin: 0 auto;
		gap: 0;
		width: auto;
		max-width: 300px;
		align-items: end;
		text-align: right;
	}

	.dynamite-slide__price {
		top: 0;
	}
	.top-price-block__actual,
	.dynamite-slide__head {
		font-size: 33px;
	}
	.top-price-block {
		flex-direction: column;
		gap: 14px;
	}
	.top-price-block__old,
	.dynamite-slide__descr {
		font-size: 15px;
	}

	.top-price-block {
		margin-top: 14px;
	}
	.top-price-block__old:before {
		height: 6px;
	}

	.dynamite-slide__buttons {
		text-align: left;
		gap: 12px;
		margin-left: 0;
		position: relative;
		align-items: end;
	}

	.dynamite-slide__buttons .brand-btn {
		width: 155px;
		height: 40px;
		font-size: 16px;
		border-radius: 20px;

	}
	.dynamite-slide__buttons > cart-counter::part(add-button) {
		font-size: 16px;
	}
}
